Bug 1520565 - Missing Guest OS in dashboard reports in Openstack
Summary: Missing Guest OS in dashboard reports in Openstack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Scott Seago
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks: 1554901 1569230
TreeView+ depends on / blocked
 
Reported: 2017-12-04 17:34 UTC by Jared Deubel
Modified: 2019-02-11 13:58 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1554901 1569230 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:58:54 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)

Description Jared Deubel 2017-12-04 17:34:59 UTC
Description of problem:
Missing Guest OS in dashboard reports in Openstack 8/10

Version-Release number of selected component (if applicable):
5.8.2.3

How reproducible:
100%

Actual results:
No data shown

Expected results:
Should show Guest OS

Comment 3 Ladislav Smola 2017-12-06 15:47:31 UTC
I've done the same fix for the AWS provider, so follow that https://github.com/ManageIQ/manageiq-providers-amazon/pull/376

Comment 4 Scott Seago 2017-12-06 20:41:48 UTC
It looks like there are possibly two different things at work here. I'm not sure which is the primary one driving this BZ:

1) The Guest OS is showing up as "Unknown" on the dashboard, although the Operating System you see when going into the node show/details page is actually "linux". The dashboard view should be updated to show the same as the node details (it appears that while the OS is listed as "linux" in the node/host ActiveRecord object, the MiqReport that the dashboard widget pulls from does not list the operating system properly)

2) The Operating System field for OpenStack infra nodes is hard-coded to "linux" in the refresh parser rather than actually getting the information from OpenStack. In this case, we need to see if that information is available via the APIs we're using to refresh and, if so, incorporate it into the AR object updates.

I'm wondering if 1) and 2) are really separate bugs. 2) would depend on 1). It could be that 1) would have a higher PM score than 2), which would make the more important fix easier than the less important one -- if that's the case, we'd probably want two BZs here. It could be the reverse, in which case 1) isn't particularly useful on its own as a fix. In that case, we'd probably want a single BZ (this one) and incorporate both changes into the same fix.

Comment 5 Scott Seago 2017-12-06 20:44:55 UTC
In any case, I'm just seeing the comment from Ladislav now (I think I must have refreshed this page right before he submitted it earlier today). I'll start with that.

Comment 7 CFME Bot 2018-01-19 15:58:53 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:
https://github.com/ManageIQ/manageiq-providers-openstack/commit/4ee191f1c40d9d3f63c090cd00f3a050a40649d9

commit 4ee191f1c40d9d3f63c090cd00f3a050a40649d9
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Tue Jan 9 09:03:49 2018 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Fri Jan 12 10:34:57 2018 -0500

    BZ 1520565: Track guest OS for openstack images and VMs
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1520565
    
    Use os_distro and os_version properties on glance images to track operating system
    information on templates and VMs.

 .../providers/openstack/cloud_manager/refresh_parser.rb  | 13 +++++++++++++
 .../openstack/inventory/parser/cloud_manager.rb          | 16 ++++++++++++++++
 .../openstack/inventory/persister/cloud_manager.rb       |  1 +
 .../openstack/inventory/persister/target_collection.rb   |  4 ++--
 .../inventory_collection_default/cloud_manager.rb        | 14 ++++++++++++++
 .../providers/openstack/refresh_parser_common/images.rb  |  7 +++++++
 .../openstack/cloud_manager/refresh_spec_common.rb       | 10 +++++-----
 .../openstack/infra_manager/refresher_rhos_juno_spec.rb  |  2 +-
 8 files changed, 59 insertions(+), 8 deletions(-)

Comment 10 Scott Seago 2018-03-20 13:47:53 UTC
(forgot to remove needinfo when setting it to POST)

Comment 13 Jadh 2018-07-05 08:20:24 UTC
Verified on 5.10.0.2


Note You need to log in before you can comment on or make changes to this bug.